% %% LOAD THE DATA

% EXCEL DATA
% data_with_labels	= importdata('quarterly_data_with_labels.xlsx');
% ts  = data_with_labels.data;
% dlmwrite('quarterly_data_with_labels.txt',ts,'delimiter','\t','precision','%.16f');
% clear

%% ASCII DATA
load quarterly_data_with_labels.txt -ascii
ts = quarterly_data_with_labels;

%% DEFINE VARIABLES
l_gdp		= ts(:,1);	% LN of Real GDP x 100
l_gdp_defl	= ts(:,2);	% LN of GDP Deflator x 100
l_pcomm		= ts(:,3);	% LN of Commodity Price Index x 100
l_mb		= ts(:,4);	% LN of Monetary Base x 100
l_res		= ts(:,5);	% LN of Total Reserves x 100
l_nbr		= ts(:,6);	% LN of Nonborrowed Reserves x 100
l_m2		= ts(:,7);	% LN of M2 x 100
l_dm4		= ts(:,8);	% LN of Divisia M4 x 100
l_rucm4		= ts(:,9);	% LN of Divisia M4 User Cost x 100
ff			= ts(:,10);	% Effective Federal Funds Rate