irflength = IRhoriz+1;
t = 0:IRhoriz;
figure(1)
subplot(4,2,1)
hold on
jbfill(t,-IRup_2(:,1,4)',-IRlo_2(:,1,4)',[.8, .8, .8],[1 1 1],0,0.6);
h1=plot(t,-IRpointm(:,1,4),'-r','LineWidth',0.5);
h2=plot(t,-IRpointq(:,1,4),'--b','LineWidth',0.5);
plot(t,zeros(irflength,1), '-k', 'LineWidth', 0.5); 
title('GDP','FontSize',8);xlim([t(1) t(end)]);set(gca,'XTick',t(1:2:end),'FontSize',6);
ylim([-0.6 0.4]);set(gca,'YTick',[-0.6:0.2:0.4],'FontSize',6);
clear legend;
hleglines = [h1(1) h2(1)];
legend = legend(hleglines, 'Monthly VAR','Quarterly VAR');
set(legend,'Location','NorthWest','FontSize',10);
box on; grid on;
set(gca, 'Layer', 'top');

subplot(4,2,2)
hold on
jbfill(t,-IRup_2(:,2,4)',-IRlo_2(:,2,4)',[.8, .8, .8],[1 1 1],0,0.6);
plot(t,-IRpointm(:,2,4),'-r','LineWidth',0.5);
plot(t,-IRpointq(:,2,4),'--b','LineWidth',0.5);
plot(t,zeros(irflength,1), '-k', 'LineWidth', 0.5); 
title('GDP Deflator','FontSize',8);xlim([t(1) t(end)]);set(gca,'XTick',t(1:2:end),'FontSize',6);
ylim([-1.0 0.25]);set(gca,'YTick',[-1.00:0.25:0.25],'FontSize',6);
box on; grid on;
set(gca, 'Layer', 'top');

subplot(4,2,3)
hold on
jbfill(t,-IRup_2(:,3,4)',-IRlo_2(:,3,4)',[.8, .8, .8],[1 1 1],0,0.6);
plot(t,-IRpointm(:,3,4),'-r','LineWidth',0.5);
plot(t,-IRpointq(:,3,4),'--b','LineWidth',0.5);
plot(t,zeros(irflength,1), '-k', 'LineWidth', 0.5); 
title('Commodity Prices','FontSize',8);xlim([t(1) t(end)]);set(gca,'XTick',t(1:2:end),'FontSize',6);
ylim([-6.0 1.5]);set(gca,'YTick',[-6.0:1.5:1.5],'FontSize',6);
box on; grid on;
set(gca, 'Layer', 'top');

subplot(4,2,4)
hold on
jbfill(t,-IRup_2(:,4,4)',-IRlo_2(:,4,4)',[.8, .8, .8],[1 1 1],0,0.6);
plot(t,-IRpointm(:,4,4),'-r','LineWidth',0.5);
plot(t,-IRpointq(:,4,4),'--b','LineWidth',0.5);
plot(t,zeros(irflength,1), '-k', 'LineWidth', 0.5); 
title('Divisia M4','FontSize',8);xlim([t(1) t(end)]);set(gca,'XTick',t(1:2:end),'FontSize',6);
ylim([-2.0 0.0]);set(gca,'YTick',[-2.0:0.5:0.0],'FontSize',6);
box on; grid on;
set(gca, 'Layer', 'top');

subplot(4,2,5)
hold on
jbfill(t,-IRup_2(:,5,4)',-IRlo_2(:,5,4)',[.8, .8, .8],[1 1 1],0,0.6);
plot(t,-IRpointm(:,5,4),'-r','LineWidth',0.5);
plot(t,-IRpointq(:,5,4),'--b','LineWidth',0.5);
plot(t,zeros(irflength,1), '-k', 'LineWidth', 0.5); 
title('Monetary Base','FontSize',8);xlim([t(1) t(end)]);set(gca,'XTick',t(1:2:end),'FontSize',6);
ylim([-2.5 1.5]);set(gca,'YTick',[-2.5:1.0:1.5],'FontSize',6);
box on; grid on;
set(gca, 'Layer', 'top');

subplot(4,2,6)
hold on
jbfill(t,-IRup_2(:,6,4)',-IRlo_2(:,6,4)',[.8, .8, .8],[1 1 1],0,0.6);
plot(t,-IRpointm(:,6,4),'-r','LineWidth',0.5);
plot(t,-IRpointq(:,6,4),'--b','LineWidth',0.5);
plot(t,zeros(irflength,1), '-k', 'LineWidth', 0.5); 
title('User Cost M4','FontSize',8);xlim([t(1) t(end)]);set(gca,'XTick',t(1:2:end),'FontSize',6);
ylim([-6.0 6.0]);set(gca,'YTick',[-6.0:2.0:6.0],'FontSize',6);
box on; grid on;
set(gca, 'Layer', 'top');

set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperOrientation', 'portrait');
set(gcf, 'PaperPosition', [-0.9 -2.0 9.5 12.0]);
set(gcf, 'PaperSize', [8.0 10.25]);
print(['MSS16-420Fig8.pdf'],'-dpdf')